## ros-one-mbf-costmap-core 0.4.0-42jammy.20251023.1228

=== debian/changelog ===
ros-one-mbf-costmap-core (0.4.0-42jammy.20251023.1228) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sebastian Pütz <spuetz@uos.de>  Thu, 23 Oct 2025 12:28:47 +0000

ros-one-mbf-costmap-core (0.4.0-0jammy) jammy; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 26 Oct 2021 00:00:00 -0000

ros-one-mbf-costmap-core (0.3.4-0jammy) jammy; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Wed, 02 Dec 2020 00:00:00 -0000

ros-one-mbf-costmap-core (0.3.3-0jammy) jammy; urgency=high

  * Fix reference to TF is ambiguous, see #221

 -- Sebastian Pütz <spuetz@uos.de>  Thu, 05 Nov 2020 00:00:00 -0000

ros-one-mbf-costmap-core (0.3.2-0jammy) jammy; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Mon, 25 May 2020 00:00:00 -0000

ros-one-mbf-costmap-core (0.3.1-0jammy) jammy; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 07 Apr 2020 00:00:00 -0000

ros-one-mbf-costmap-core (0.3.0-0jammy) jammy; urgency=high

  * unify license declaration to BSD-3

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 31 Mar 2020 00:00:00 -0000

ros-one-mbf-costmap-core (0.2.5-0jammy) jammy; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Fri, 11 Oct 2019 00:00:00 -0000

ros-one-mbf-costmap-core (0.2.4-0jammy) jammy; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Sun, 16 Jun 2019 00:00:00 -0000

ros-one-mbf-costmap-core (0.2.3-0jammy) jammy; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Wed, 14 Nov 2018 00:00:00 -0000

ros-one-mbf-costmap-core (0.2.2-0jammy) jammy; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Wed, 10 Oct 2018 00:00:00 -0000

ros-one-mbf-costmap-core (0.2.1-0jammy) jammy; urgency=high

  * Make MBF melodic and indigo compatible
  * Fix GoalHandle references bug in callbacks

 -- Sebastian Pütz <spuetz@uos.de>  Wed, 03 Oct 2018 00:00:00 -0000

ros-one-mbf-costmap-core (0.2.0-0jammy) jammy; urgency=high

  * Concurrency for planners, controllers and recovery behaviors

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 11 Sep 2018 00:00:00 -0000

ros-one-mbf-costmap-core (0.1.0-0jammy) jammy; urgency=high

  * First release of move_base_flex for kinetic and lunar

 -- Sebastian Pütz <spuetz@uos.de>  Thu, 22 Mar 2018 00:00:00 -0000

## ros-one-mbf-costmap-core 0.4.0-42jammy.20251208.0050

=== debian/changelog ===
ros-one-mbf-costmap-core (0.4.0-42jammy.20251208.0050) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sebastian Pütz <spuetz@uos.de>  Mon, 08 Dec 2025 00:50:21 +0000

## ros-one-mbf-costmap-core 0.4.0-42jammy.20260221.2343

=== debian/changelog ===
ros-one-mbf-costmap-core (0.4.0-42jammy.20260221.2343) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sebastian Pütz <spuetz@uos.de>  Sat, 21 Feb 2026 23:43:36 +0000

## ros-one-mbf-costmap-core 0.4.0-42noble.20251023.1416

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(mbf_costmap_core)

find_package(catkin REQUIRED
        COMPONENTS
            std_msgs
            geometry_msgs
            mbf_abstract_core
            mbf_utility
            tf
            costmap_2d
            nav_core
        )

catkin_package(
    INCLUDE_DIRS
        include
    CATKIN_DEPENDS
            std_msgs
            geometry_msgs
            mbf_abstract_core
            mbf_utility
            tf
            costmap_2d
            nav_core
)

## Install project namespaced headers
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE)

=== debian/changelog ===
ros-one-mbf-costmap-core (0.4.0-42noble.20251023.1416) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sebastian Pütz <spuetz@uos.de>  Thu, 23 Oct 2025 14:16:28 +0000

ros-one-mbf-costmap-core (0.4.0-0noble) noble; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 26 Oct 2021 00:00:00 -0000

ros-one-mbf-costmap-core (0.3.4-0noble) noble; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Wed, 02 Dec 2020 00:00:00 -0000

ros-one-mbf-costmap-core (0.3.3-0noble) noble; urgency=high

  * Fix reference to TF is ambiguous, see #221

 -- Sebastian Pütz <spuetz@uos.de>  Thu, 05 Nov 2020 00:00:00 -0000

ros-one-mbf-costmap-core (0.3.2-0noble) noble; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Mon, 25 May 2020 00:00:00 -0000

ros-one-mbf-costmap-core (0.3.1-0noble) noble; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 07 Apr 2020 00:00:00 -0000

ros-one-mbf-costmap-core (0.3.0-0noble) noble; urgency=high

  * unify license declaration to BSD-3

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 31 Mar 2020 00:00:00 -0000

ros-one-mbf-costmap-core (0.2.5-0noble) noble; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Fri, 11 Oct 2019 00:00:00 -0000

ros-one-mbf-costmap-core (0.2.4-0noble) noble; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Sun, 16 Jun 2019 00:00:00 -0000

ros-one-mbf-costmap-core (0.2.3-0noble) noble; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Wed, 14 Nov 2018 00:00:00 -0000

ros-one-mbf-costmap-core (0.2.2-0noble) noble; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Wed, 10 Oct 2018 00:00:00 -0000

ros-one-mbf-costmap-core (0.2.1-0noble) noble; urgency=high

  * Make MBF melodic and indigo compatible
  * Fix GoalHandle references bug in callbacks

 -- Sebastian Pütz <spuetz@uos.de>  Wed, 03 Oct 2018 00:00:00 -0000

ros-one-mbf-costmap-core (0.2.0-0noble) noble; urgency=high

  * Concurrency for planners, controllers and recovery behaviors

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 11 Sep 2018 00:00:00 -0000

ros-one-mbf-costmap-core (0.1.0-0noble) noble; urgency=high

  * First release of move_base_flex for kinetic and lunar

 -- Sebastian Pütz <spuetz@uos.de>  Thu, 22 Mar 2018 00:00:00 -0000

=== debian/control ===
Source: ros-one-mbf-costmap-core
Section: misc
Priority: optional
Maintainer: Sebastian Pütz <spuetz@uos.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-costmap-2d, ros-one-geometry-msgs, ros-one-mbf-abstract-core, ros-one-mbf-utility, ros-one-nav-core, ros-one-std-msgs, ros-one-tf
Homepage: http://wiki.ros.org/move_base_flex/mbf_costmap_core
Standards-Version: 3.9.2

Package: ros-one-mbf-costmap-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-costmap-2d, ros-one-geometry-msgs, ros-one-mbf-abstract-core, ros-one-mbf-utility, ros-one-nav-core, ros-one-std-msgs, ros-one-tf
Description: This package provides common interfaces for navigation specific robot actions.
 It contains the CostmapPlanner, CostmapController and CostmapRecovery interfaces. The interfaces have to be implemented by the plugins to make them available for Move Base Flex using the mbf_costmap_nav navigation implementation. That implementation inherits the mbf_abstract_nav implementation and binds the system to a local and a global costmap.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-mbf-costmap-core//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-mbf-costmap-core 0.4.0-42noble.20251208.1137

=== debian/changelog ===
ros-one-mbf-costmap-core (0.4.0-42noble.20251208.1137) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sebastian Pütz <spuetz@uos.de>  Mon, 08 Dec 2025 11:37:41 +0000

## ros-one-mbf-costmap-core 0.4.0-42noble.20260222.0051

=== debian/changelog ===
ros-one-mbf-costmap-core (0.4.0-42noble.20260222.0051) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sebastian Pütz <spuetz@uos.de>  Sun, 22 Feb 2026 00:51:00 +0000
